Subject: [MMUSIC] Comments on draft-ietf-mmusic-ice-sip-sdp-16.

From: Christer Holmberg <[email-masked]>
Date: Sun, 4 Mar 2018 22:27:33 +0000

Hi,

A few comments/questions on draft-ietf-mmusic-ice-sip-sdp-16.

Q0:

Throughout the document, there are a few instances where the text talks about usage of the 0.0.0.0 IP address. Does that apply to IPv6 too?

Q1:

Throughout the document, the text talks about "source streams", and reference RFC 7656, which is about RTP.

I think the text should talk about "data stream", which is used in 5245bis, because this document describes how "data streams" are identified when using ICE with SDP.

Q2:

The text in section 4.1.1.2. says:

   "ICE will perform its connectivity checks for the first "m=" line first, and consequently media will be able to flow
   for that stream first."

I think this is misleading. The first foundations to be checked will be according to the order of "m=" lines they appear in. I don't think you need to copy/paste the details for that, but I think you could say something like:

"Based on the unfreezing rules in [5245bis] the timing of connectivity checks depend on in which "m=" line they appear in, and connectivity checks for the first "m=" line are likely to be performed before connectivity checks for the second "m=" line, etc."

Q3:

The text in section 4.1.5 says:

   "Once the state of each check list is Completed, If an agent is
   controlling, it examines the highest-priority nominated candidate
   pair for each component of each media stream.  If any of those
   candidate pairs differ from the default candidate pairs in the most
   recent offer/answer exchange, the controlling agent MUST generate an
   updated offer as described in Section 4.2."

Having multiple nominated pairs for a component is only possible when using aggressive nomination, which has been deprecated in 5245bis.

So, the text should only say "it examines the nominated candidate pair".

Q4:

The text in section 4.2.1.1.2. says:

   "If an agent removes a media stream by setting its port to zero, it
   MUST NOT include any candidate attributes for that media stream and
   SHOULD NOT include any other ICE-related attributes defined in
   Section 5 for that media stream."

Why SHOULD NOT (instead of MUST NOT)?

Regards,

Christer

---

From: Suhas Nandakumar <[email-masked]>
Date: Sun, 18 Mar 2018 17:30:24 +0000

Hello Christer

  Thanks for the review and text suggestions. These comments makes sense
and I will work on incorporating them in the next version.

Thanks
Suhas

On Sun, Mar 4, 2018 at 10:27 PM, Christer Holmberg <
[email-masked]> wrote:

> Throughout the document, there are a few instances where the text talks
> about usage of the 0.0.0.0 IP address. Does that apply to IPv6 too?
>
>
>
>
>
> Q1:
>
>
>
> Throughout the document, the text talks about “source streams”, and
> reference RFC 7656, which is about RTP.
>
>
>
> I think the text should talk about “data stream”, which is used in
> 5245bis, because this document describes how “data streams” are identified
> when using ICE with SDP.
>
>
>
>
>
> Q2:
>
>
>
>    “ICE will perform its connectivity checks for the first "m=" line
> first, and consequently media will be able to flow
>
>    for that stream first.”
>
>
>
> I think this is misleading. The first foundations to be checked will be
> according to the order of “m=” lines they appear in. I don’t think you need
> to copy/paste the details for that, but I think you could say something
> like:
>
>
>
> “Based on the unfreezing rules in [5245bis] the timing of connectivity
> checks depend on in which “m=” line they appear in, and connectivity checks
> for the first “m=” line are likely to be performed before connectivity
> checks for the second “m=” line, etc.”
>
>
>
>
>
> Q3:
>
>
>
>    “Once the state of each check list is Completed, If an agent is
>
>    updated offer as described in Section 4.2.”
>
>
>
> Having multiple nominated pairs for a component is only possible when
> using aggressive nomination, which has been deprecated in 5245bis.
>
>
>
> So, the text should only say “it examines the nominated candidate pair”.
>
>
>
>
>
> Q4:
>
>
>
>    “If an agent removes a media stream by setting its port to zero, it
>
>    Section 5 for that media stream.”
>
>
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>
>